﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMedicalInsurance.Entity
{
    public class TradeAttribute : Attribute
    {
        /// <summary>
        /// 代码
        /// </summary>
        public string Code { get; set; }

        /// <summary>
        /// 名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 服务调用模式（rest,dll，com)
        /// </summary>
        public ModeEnum Mode { get; set; }

        public TradeAttribute(string code,string name,ModeEnum mode) {
            this.Code = code;
            this.Name = name;
            this.Mode = mode;
        }

        public TradeAttribute(string code, string name)
        {
            this.Code = code;
            this.Name = name;
            this.Mode = ModeEnum.REST;
        }

    }
}
